HCL Connections | Product Ideas Portal

Welcome to the HCL Connections Product Ideas Lab! The place where you can submit product ideas and enhancement request. We encourage you to participate by voting on, commenting on, and creating new ideas. All new ideas will be evaluated by the HCL Product Management & Engineering teams, and the next steps will be communicated. While not all submitted ideas will be executed upon, community feedback will play a key role in influencing which ideas are and when they will be implemented.

For more information and upcoming events, please visit our HCL Connections page.

Update Component Pack Prerequisites

Currently the prerequisites for installing Component Pack include outdated versions of Docker, Kubernetes and Helm. For Kubernetes 1.11 there is not even an official documentation available anymore.

So please include support for current versions and keep them up to date.

E.g. support n-2 versions of Kubernetes.

  • Avatar32.5fb70cce7410889e661286fd7f1897de Guest
  • Oct 19 2019
  • Planned
  • Attach files
  • Avatar40.8f183f721a2c86cd98fddbbe6dc46ec9
    Guest commented
    13 Feb 02:56pm

    Please  improve the product and upgrade the Kubernetes version with each Component Pack release.
    Please also look to support as many platforms as possible.

  • Avatar40.8f183f721a2c86cd98fddbbe6dc46ec9
    Guest commented
    30 Jan 07:26pm

    Please open the support statement to a CNCF certified Kubernetes! It makes no sense to just support Docker as Container runtime, kubeadm, Red Hat!

     

    https://www.cncf.io/certification/software-conformance/

     

    Customers want to buy SLA or support for Kubernetes and not deploying with kubeadm. We don't want to deploy Red Hat and on top Kubernetes. There is Core OS as example to get a tiny operating system to startup Kubernetes.

     

    CNCF releases a version per quarter, so 1.17 for CR1 is still supported, but not the newest option. It's not Websphere, where we deploy 8.5.5 even when 9.0 is available since years.

  • Admin
    André Hagemeier commented
    12 Jan 12:14pm

    We have an upgrade of Kubernetes to 1.17 on our roadmap for 6.5 CR1. We're also looking at similar upgrades for Docker, Centos and Alpine.

  • Avatar40.8f183f721a2c86cd98fddbbe6dc46ec9
    Guest commented
    9 Dec, 2019 01:48pm

    Component Pack installation requirements 6.5
    https://help.hcltechsw.com/connections/v65/admin/install/cp_over_roadmap.html https://help.hcltechsw.com/connections/v65/admin/install/cp_prereqs.html

    The operating system is RHEL 7.6/CentOS 7.6 with Docker 17.03.x/18.06.2, Kubernetes 1.11.9 and Helm 2.11.0. This is all very old and it is the same as in 6.0. Cr6 Docu https://help.hcltechsw.com/connections/v6/admin/install/cp_prereqs.html